include::../description.adoc[]

== Noncompliant Code Example

----
import java.sql.*; // Noncompliant
import java.util.*; // Noncompliant

private Date date; // Date class exists in java.sql and java.util. Which one is this?
----

== Compliant Solution

----
import java.sql.Date;
import java.util.List;
import java.util.ArrayList;

private Date date;
----

== Exceptions

Static imports are ignored by this rule. E.G.

----
import static java.lang.Math.*;
----

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
